idevicepair(1)

NAME
idevicepair - Manage host pairings with devices and usbmuxd.

SYNOPSIS
idevicepair [OPTIONS] COMMAND

DESCRIPTION
Manage host pairings with devices and usbmuxd.

OPTIONS

-u, --udid UDID
    target specific device by UDID.

-w, --wireless
    perform wireless pairing (see NOTE).

-n, --network
    connect to network device (see NOTE).

-d, --debug
    enable communication debugging.

-h, --help
    prints usage information.

-v, --version
    prints version information.

COMMANDS

systembuid
    print the system buid of the usbmuxd host.

hostid
    print the host id for target device.

pair
    pair device with this host.

validate
    validate if device is paired with this host.

unpair
    unpair device with this host.

list
    list devices paired with this host.

NOTE
Pairing over network (wireless pairing) is only supported by Apple TV devices. To perform a wireless pairing, you need to use the -w command line switch. Make sure to put the device into pairing mode first by opening Settings > Remotes and Devices > Remote App and Devices. The pairable device will become visible with a special UDID, and then you can run idevicepair like this: idevicepair -u fffc8:ab:cd:12:34:56fff -w pair idevicepair will then ask for the PIN that the device is displaying and continues with the pairing once entered. Please note that wireless pairing is currently not supported on Linux.

AUTHORS
Nikias Bassen Martin Szulecki Julien Lavergne

ON THE WEB
https://libimobiledevice.org https://github.com/libimobiledevice/libimobiledevice